#ifndef FLUTTER_PLUGIN_SCROLL_SCREENSHOT_PLUGIN_H_
#define FLUTTER_PLUGIN_SCROLL_SCREENSHOT_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace scroll_screenshot {

class ScrollScreenshotPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  ScrollScreenshotPlugin();

  virtual ~ScrollScreenshotPlugin();

  // Disallow copy and assign.
  ScrollScreenshotPlugin(const ScrollScreenshotPlugin&) = delete;
  ScrollScreenshotPlugin& operator=(const ScrollScreenshotPlugin&) = delete;

  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace scroll_screenshot

#endif  // FLUTTER_PLUGIN_SCROLL_SCREENSHOT_PLUGIN_H_
